For the complete documentation index, see llms.txt. This page is also available as Markdown.

MaxDeposit

get

Returns the maximum amount of assets that can be deposited in a single transaction.

Authorizations
AuthorizationstringRequired
Path parameters
accountstringRequired
  • The account making the request
Query parameters
chainIdstringRequired
  • The blockchain network ID
addressstringRequired
  • The ERC4626 vault contract address
receiverstringRequired
  • The address of the receiver
Header parameters
AuthorizationstringRequired
  • The authorization token
Responses
200

The API response

application/json

Interface representing the structure of the API response for ERC4626.

successbooleanRequired

Indicates whether the API request was successful.

messagestringRequired

Provides a message related to the API response.

dataanyOptional

Optional data returned by the API.

get/erc4626/{account}/maxDeposit
GET /erc4626/{account}/maxDeposit?chainId=text&address=text&receiver=text HTTP/1.1
Host: beta.usemoon.ai/
Authorization: text
Accept: */*
200

The API response

{
  "success": true,
  "message": "text",
  "data": null
}